<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0" xmlns:rolece="urn:dgpe:names:draft:rolece:schema:xsd:Resolution-1"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<xsl:template match="*[contains(namespace-uri(.),'Resolution')]">
		<html>
			<body>

				<!--
					CABECERA
				-->
				<!--
					**********************************************************************************************
				-->
				<table border="0" width="665px">
					<tr>
						<td align="center">
							<img src="xsl/images/logo-meh.gif"/>
						</td>
						<td width="75%" rowspan="3" align="center" valign="center"
							style="font:bold 16px Verdana;">
							<xsl:value-of select="$lang.cabecera.oficioObjetoSocial"/>
					</td>
					</tr>
					<tr>
						<td align="center" style="font:8px Verdana;">
							<center>
								<xsl:value-of select="$lang.cabecera.ROLECE.parte1"/>
								<br />
								<xsl:value-of select="$lang.cabecera.ROLECE.parte2"/>
							</center>
						</td>
						<td>
							<br />
						</td>
					</tr>

					<tr>
						<td colspan="2">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<table border="0" width="660px">
					<xsl:choose>
						<xsl:when test="./cbc:EconomicOperatorName">
					   <xsl:if test="./cbc:EconomicOperatorID">
					   <tr>
						   <td style="font:11px Verdana;" align="left">
						   <xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
						   </td>
						  <td style="font:11px Verdana; width:75%;">
							   <b><xsl:value-of select="./cbc:EconomicOperatorName"/></b>
							   (<b><xsl:value-of select="./cbc:EconomicOperatorID"/></b>)
						  </td>
					   </tr>
					   </xsl:if>
					  </xsl:when>
					  <xsl:otherwise>
					  	  <tr>
							   <td style="font:11px Verdana;" align="left">
								     <xsl:value-of select="$lang.cabecera.operadorEconomico"/>:
								 </td>
								 <td style="font:11px Verdana; width:75%;">
								   <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
									   <xsl:value-of 	select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName" />,
									   <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName" />
								   </xsl:if>
								   <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
									   <xsl:value-of	select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName" />
								   </xsl:if>
								   <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID">
							        (<b><xsl:value-of	select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID" /></b>)								
					    	  </xsl:if>
							  </td>
						</tr>
						
					  </xsl:otherwise>
					</xsl:choose>
					<xsl:if test="./cbc:FileID">
						<tr>
							<td style="font:11px Verdana;" align="left">
								<xsl:value-of select="$lang.cabecera.numeroExpediente"/>:
							</td>
							<td style="font:11px Verdana; width:70%;">
								<b>
									<xsl:value-of select="./cbc:FileID" />
								</b>
							</td>
						</tr>
					</xsl:if>
					<tr>
						<td style="font:11px Verdana;" align="left">
							<xsl:value-of select="$lang.cabecera.fechaAcuerdo"/>:
					</td>
						<td style="font:11px Verdana;">
							<xsl:value-of select="./cbc:IssueDate" />
						</td>
					</tr>
															
					<tr>
						<td colspan="3">
							<hr width="665px" align="left" style="height:1px; color:black;" />
						</td>
					</tr>
				</table>
				<!--
					**********************************************************************************************
				-->
				<!--
					DATOS DEL DOCUMENTO
				-->
				<!--
					**********************************************************************************************
				-->
				<!-- or ./cac:EconomicOperatorParty/cbc:NationalityID 
or ./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode
or ./cac:RejectedRegistrationRequest-->

			<xsl:variable name="EUROS">euros</xsl:variable>

			<xsl:if test="./cac:EconomicOperatorParty/cac:Party
				or ./cac:BusinessSetup
				or ./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress
				or ./cac:AdministratingRequestLegalAgent/cac:LegalAgent
				or ./cac:EconomicOperatorRequestLegalAgent
				or ./cac:RequestCertifiedBusinessQualification
				or ./cac:AnnualAccountsReference
				or ./cac:FinancialTurnoverCapability
				or ./cac:RequestInsuredAccountability
				or ./cac:ProfessionalRequestAuthorization
				or ./cbc:EconomicOperatorCorporatePurpose	
				or ./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI
				or ./cac:RequestTaxAgencyObligations
				or ./cac:SocialSecurityObligations				
				">
			<table border="0" width="665px">
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;">
						
						    <xsl:choose>
									  	<xsl:when test="./rolece:Facts">
									       <xsl:value-of select="./rolece:Facts" />
									    </xsl:when>
									    <xsl:otherwise>
									    	  <i><span ><xsl:value-of select="$lang.datosDocumento.texto.parte1"/> 
						              <xsl:value-of select="./cbc:IssueDate" /><xsl:value-of select="$lang.datosDocumento.texto.parte2"/> 
						               <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
						              <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName"/>,
						              <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName"/>
						              </xsl:if>
						              <xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
						              <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
						              </xsl:if>:</span></i>
									    </xsl:otherwise>
									 </xsl:choose>
									   
									   
						
					</td>
				</tr>
				<xsl:if test="./cac:Regulation">
				   <tr>
						<td style="font:11px Verdana; text-align:left; height:20px;" colspan="3">
							<i>
								<span>
									<xsl:for-each select="./cac:Regulation">
									    <br/>
										<xsl:value-of select="cbc:Name"/><br/>
						  	 	        <xsl:value-of select="cbc:LegalReference"/><br/>
						  	 	        <xsl:value-of select="cbc:UriOntologia"/><br/>
						  	 	    </xsl:for-each>
								</span>
							</i>
						</td>
					</tr>
				</xsl:if>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px;color:black;"></hr></td></tr>
			</table>
			</xsl:if>
			<xsl:if test="not(./cac:EconomicOperatorParty/cac:Party
				or ./cac:BusinessSetup
				or ./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress
				or ./cac:AdministratingRequestLegalAgent/cac:LegalAgent
				or ./cac:EconomicOperatorRequestLegalAgent
				or ./cac:RequestCertifiedBusinessQualification
				or ./cac:AnnualAccountsReference
				or ./cac:FinancialTurnoverCapability
				or ./cac:RequestInsuredAccountability
				or ./cac:ProfessionalRequestAuthorization
				or ./cbc:EconomicOperatorCorporatePurpose	
				or ./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI
				or ./cac:RequestTaxAgencyObligations
				or ./cac:SocialSecurityObligations)				
				">
			<table border="0" width="665px">
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;">
						<i><span >
							<xsl:value-of select="$lang.datosDocumento.textoInscripcion"/>
						</span></i>
					</td>
				</tr>
			</table>
			</xsl:if>
				
<!-- ********************************************************************************************** -->
<!-- OBJETO SOCIAL                                                                                  -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cbc:EconomicOperatorCorporatePurpose">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">
						<xsl:value-of select="$lang.objetoSocial.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="3" style="font:11px Verdana; text-align:left; height:20px;">
						<xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>
					</td>
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>

<!-- ********************************************************************************************** -->
<!-- PIE DE RECURSO                                                                                 -->
<!-- ********************************************************************************************** -->
			<table border="0" width="665px">
				<tr>
					<td style="font:11px Verdana; text-align:left; height:20px;" >
						<i><span>
						<xsl:choose>
							<xsl:when test="./rolece:Actions">
						  	 <xsl:value-of select="./rolece:Actions" />
							</xsl:when>
							<xsl:otherwise>
								  <xsl:value-of select="$lang.pie.texto"/>
							</xsl:otherwise>
						</xsl:choose>
											</span></i>
						
					</td>
				</tr>
				
				<tr>
				<td style="font:11px Verdana; text-align:left; height:20px;" >
				<b><i><span>
					      <xsl:choose>
					        <xsl:when test="./cac:Person">
						  	 	   <xsl:value-of select="./cac:Person/cbc:JobTitle" />
						  	  </xsl:when>
						  	  <xsl:otherwise>
										<xsl:value-of select="$lang.pie.subdirector"/>
									</xsl:otherwise>
								</xsl:choose>
						</span></i></b>
				</td>
				</tr>
				<tr>
				<td style="font:11px Verdana; text-align:left; height:20px;"> 
				<i><span>
				     <xsl:choose>
				         <xsl:when test="./cac:Person">
						  	 	   &#160;&#160;&#160;<xsl:value-of select="./cac:Person/cbc:FirstName" />&#160;<xsl:value-of select="./cac:Person/cbc:FamilyName" />
						  	 </xsl:when>
						  	 <xsl:otherwise>
						        Jose Luis Cueva Calabia
						     </xsl:otherwise>
						
						</xsl:choose>
					</span></i>
				</td>
						
				</tr>
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</body>
		</html>
	</xsl:template>
<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > $size">
			<xsl:value-of select="substring($text, 1, $size)"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, $size + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$size > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>

		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
