<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0"
	xmlns:rolece="urn:dgpe:names:draft:rolece:schema:xsd:RegistrationCertificate-1"
	xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:cbc="urn:dgpe:names:draft:rolece:schema:xsd:CommonBasicComponents-1"
	xmlns:cac="urn:dgpe:names:draft:rolece:schema:xsd:CommonAggregateComponents-1"
	xmlns:udt="urn:un:unece:uncefact:data:specification:UnqualifiedDataTypesSchemaModule:2"
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
	<xsl:key name="ABR" match="item" use="@id" />
	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	   <!-- Version de la hoja de transformacion -->
	   <xsl:variable name="versionHojaTransformacion" select="'v20180625'" />
	<xsl:template
	  match="*[contains(namespace-uri(.),'RegistrationCertificate')] ">
	  
	 
	  
		<!-- Obtener la fecha de emision del certificado para luego compararla con la fecha fin de prohibicion -->
		<!-- Luego se normaliza quitando los guiones y queda en formato aaaammdd -->
		<xsl:variable name="fechaEmisionCert" select="./cbc:IssueDate" />
		<xsl:variable name="fechaEmisionCertNorm" select="translate($fechaEmisionCert,'-','')" />
		
<html>
<head>
 <link rel="stylesheet" type="text/css" href="xsl/v20180625/certificate.css"/>
</head> 

			<body>
			
			<div id="posicion">

				<!--
				*****************************************************************************************
					CABECERA
				*****************************************************************************************
				-->

				<table>
				
					<tr>
					
						<td rowspan="2" class="imgCabecera">
							<img src="xsl/images/logo-meh.gif" />
						</td>

						<td  class="hojaTransformacion">
							<xsl:value-of select="$lang.hojaTransformacion"/>
							plantillaCertificate.xsl 
							<xsl:value-of select="$versionHojaTransformacion" />
						</td>
					</tr>
					
					<tr>
					
						<td class="fechaEmision">
						
								<xsl:value-of select="$lang.cabecera.fechaEmision"/>:
						
								<b>
								<xsl:value-of select="./cbc:IssueDate" />&#160;&#160;<xsl:value-of select="./cbc:IssueTime" />
								</b>
								
						</td>
												
					</tr>
				
				
					<tr>
						<td colspan="2" class="tituloCabeceraCertificadoDeInscripcion">
							<center>
							<!-- 	<xsl:value-of select="$lang.cabecera.certificadoDeInscripcion"/> 
								<xsl:value-of select="./cac:RegisteringAuthorityParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
								-->
								<xsl:value-of select="./cbc:Title"/>
								
							</center>
						</td>	
					
					
					</tr>

					<tr> 
					
						<td colspan="2" class="cabeceraDeclaracion">
						
						<xsl:value-of select="substring-before(substring-after(./cac:Signature/cbc:Note,'OU='),',')"/>&#160;
							<!-- <xsl:value-of select="$lang.cabecera.declaracion"/>-->
							<xsl:value-of select="./cbc:Conditions"/>
						</td>
						
					</tr>
					
				</table>
				
				<div class="hrNormal" ></div>
			



<!-- ********************************************************************************************** -->
<!--TEXTO CUANDO HAY SUSPENSION                                                                          -->
<!-- ********************************************************************************************** -->
<xsl:if test="./cbc:TextoCuandoSuspension">
<table>
<tr>
<td colspan="3" class="datoSeccionIndent">
<xsl:value-of select="./cbc:TextoCuandoSuspension"/>
</td>
</tr>
</table>
<div class="hrNormal" ></div>
</xsl:if>




<!-- ********************************************************************************************** -->
<!-- DATOS DEL DOCUMENTO                                                                            -->
<!-- ********************************************************************************************** -->

			<xsl:variable name="EUROS">euros</xsl:variable>
			
<!-- ********************************************************************************************** -->
<!-- DATOS DEL EMPRESARIO O DE LA ENTIDAD                                                           -->
<!-- ********************************************************************************************** -->

			<xsl:if test="./cac:EconomicOperatorParty/cac:Party">
			
			<table>	
			
			
			
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span>
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
							<xsl:value-of select="$lang.datosEntidad.tituloEmpresario"/>
						</xsl:if>
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
							<xsl:value-of select="$lang.datosEntidad.tituloEntidad"/>
						</xsl:if>
						</span>
					</td>
				</tr>

				
				<tr>
					<td colspan="3" class="datoSeccionIndent">
					<xsl:if test="string(./cbc:SuspensionDatosEntidad)='' and string(./cbc:SuspensionDatosEmpresario)=''">
						<xsl:value-of select="$lang.datosEntidad.nombreDenom"/>:
					</xsl:if>
					<xsl:if test="string(./cbc:SuspensionDatosEmpresario)=''">	
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FamilyName"/>,
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:Person/cbc:FirstName"/>
						</xsl:if>
					</xsl:if>	
						<xsl:if test="./cbc:SuspensionDatosEntidad">
						<xsl:value-of select="./cbc:SuspensionDatosEntidad"/>
						</xsl:if>
						
						<xsl:if test="./cbc:SuspensionDatosEmpresario">
						<xsl:value-of select="./cbc:SuspensionDatosEmpresario"/>
						</xsl:if>
						
						
						
					
						
					<xsl:if test="string(./cbc:SuspensionDatosEntidad)=''">
						<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
						</xsl:if>
					</xsl:if>
					</td>
				</tr>
				
				
				
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:Person">
				<xsl:if test="string(./cbc:SuspensionDatosEmpresario)=''">
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.datosEntidad.identificacion"/>:
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>: <xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID"/>
					</td>
				</tr>
				</xsl:if>
				
				
				</xsl:if>
				
				<xsl:if test="string(./cbc:SuspensionDatosEntidad)='' and string(./cbc:SuspensionDatosEmpresario)=''">
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity">
				
					<xsl:for-each select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification">
						<tr>
							<td colspan="1" class="datoSeccionIndent">
								<xsl:if test="position() = 1">
								<xsl:value-of select="$lang.datosEntidad.identificacion"/>:
								</xsl:if>
								<xsl:value-of select="./cbc:ID/@schemeID"/>:&#160;
								<xsl:value-of select="./cbc:ID"/>
								<xsl:if test="./cbc:ID/@schemeID='NIF'">
								 &#160;(VIES:&#160;ES<xsl:value-of select="./cbc:ID"/>)
								</xsl:if>
							</td>
						</tr>
					</xsl:for-each>
				
				</xsl:if>
           
             
				<tr>
					<xsl:if test="(./cac:EconomicOperatorParty/cbc:NationalityID)">
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.datosEntidad.nacionalidad"/>:
						<xsl:variable name="nacionalidad" select="./cac:EconomicOperatorParty/cbc:NationalityID"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($nacionalidad))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$nacionalidad"/>
							</xsl:if>
						</xsl:for-each>
					</td>
					</xsl:if>
				</tr>
           </xsl:if>	
          
           <xsl:if test="string(./cbc:SuspensionConstruccionEmpresarial)=''">				
				<xsl:if test="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode">
				
					<xsl:variable name="formaJuridica" select="./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode"/>
					
					<xsl:if test="not($formaJuridica = '')">
						<tr>
							<td colspan="3" class="datoSeccionIndent">
								<xsl:value-of select="$lang.datosEntidad.tipoEntidad"/>:
								<xsl:for-each select="document('xml/LegalEntityTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($formaJuridica))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$formaJuridica"/>
									</xsl:if>
								</xsl:for-each>
							</td>
						</tr>
					</xsl:if>
				</xsl:if>
				</xsl:if>
		 
				
				
			<!--  TIPO DE ORGANO -->
     		<xsl:if test="./cbc:ExtensionTypeCode">
				<xsl:variable name="tipoOrgano" select="./cbc:ExtensionTypeCode"/>
					
					<xsl:if test="not($tipoOrgano = '')">
						<tr>
							<td colspan="3" class="datoSeccionIndent">
								<xsl:value-of select="$lang.datosEntidad.tipoOrgano"/>:
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($tipoOrgano))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
									<xsl:value-of select="key('ABR',normalize-space($tipoOrgano))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
									<xsl:value-of select="$tipoOrgano"/>
									</xsl:if>
								</xsl:for-each>
							</td>
						</tr>
					</xsl:if>	
				</xsl:if>			
			<!--FIN  TIPO DE ORGANO -->	
				
				
				
<!--				<xsl:if test="not(./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode)">
				<tr>
					<td colspan="3" class="tituloSeccion">
						<xsl:value-of select="$lang.datosEntidad.tipoEntidad"/>:&#160;<xsl:value-of select="$lang.datosEntidad.personaFisica"/>
					</td>
				</tr>
				</xsl:if>	  -->					

			</table>
			
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CONSTITUCIN EMPRESARIAL                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:BusinessSetup">
			
			<table>
			 <xsl:if test="string(./cbc:SuspensionDatosEmpresario)=''">
				<xsl:if test="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID">
				  <xsl:if test="string(./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID)!='00'">
					<xsl:if test="string(./cbc:SuspensionConstruccionEmpresarial)=''">
					<tr>
						<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.constitucionEmpresarial.titulo"/>:
					
						 
							<xsl:if test="string(./cac:EconomicOperatorParty/cbc:LegalEntityTypeCode)='FJ1'">
								<xsl:value-of select="$lang.constitucionEmpresarial.registro"/>&#160;
							</xsl:if>								
							<xsl:variable name="registro" select="./cac:BusinessSetup/cac:RegisteringParty/cac:PartyIdentification/cbc:ID"/>
							<xsl:for-each select="document('xml/OfficialSetupRegistrationEntry.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($registro))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($registro))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$registro"/>
								</xsl:if>
							</xsl:for-each>&#160;&#160;
						
							 	
						</td>
					</tr>
					 </xsl:if>
				  </xsl:if>
				</xsl:if>
			</xsl:if>	
				<xsl:if test="./cac:BusinessSetup/cbc:Date">
				<xsl:if test="string(./cbc:SuspensionConstruccionEmpresarial)=''">	
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;
						
						  <xsl:value-of select="./cac:BusinessSetup/cbc:Date"/>
						
						
					</td>
				</tr>
				</xsl:if>
				</xsl:if>
				

				
			</table>
			
			</xsl:if>
			
			 <xsl:if test="./cbc:SuspensionConstruccionEmpresarial">
			 <table>
				 <tr>
					<td colspan="3" class="datoSeccionIndent">
						   <xsl:value-of select="./cbc:SuspensionConstruccionEmpresarial"/>
					</td>
				</tr>		   
			</table>			   
			 </xsl:if>	
			
				
		    <!-- ************************* -->
            <!-- CAPITAL SOCIAL-->
            <!-- ************************* -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:CorporateStockAmount">
			<table border="0" width="665px" >
			<tr>				
			<td colspan="3" class="datoSeccionIndent">
			
			
			
			<xsl:value-of select="$lang.capitalsocial.titulo"/>:
			
			 <xsl:if test="string(./cbc:SuspensionCapitalSocial)=''">
			<xsl:value-of select="format-number(./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:CorporateStockAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;									
								<xsl:choose>
										<xsl:when test="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:CorporateStockAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:CorporateStockAmount/@currencyID" />
										</xsl:otherwise>
								</xsl:choose>
			</xsl:if>
			
			
								
			</td>
			</tr>
			</table>
			</xsl:if>
			
			<xsl:if test="./cbc:SuspensionCapitalSocial">
         <table border="0" width="665px" >
         <tr>				
			   <td colspan="3" class="datoSeccionIndent">
			    <xsl:value-of select="$lang.capitalsocial.titulo"/>:
			    <xsl:value-of select="./cbc:SuspensionCapitalSocial"/>
			   </td>
		  </tr>
         </table>
			 </xsl:if>
			
				
			 <!-- ************************* -->
            <!-- FIN CAPITAL SOCIAL-->
            <!-- ************************* -->
				
				
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
				
		<!-- 
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party and not(./cac:BusinessSetup)">
			
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			
			</xsl:if>
		 -->		
<!-- ********************************************************************************************** -->
<!-- DOMICILIO SOCIAL                                                                               -->
<!-- ********************************************************************************************** -->
	   	<xsl:if test="./cbc:SuspensionDomicilioSocial">
       	<table>
       	<tr>
			<td colspan="3" class="tituloSeccion">
				<span><xsl:value-of select="$lang.domicilioSocial.titulo"/></span>
			</td>
		</tr>
       	 <tr>
			<td colspan="3" class="datoSeccionIndent">
			<xsl:value-of select="./cbc:SuspensionDomicilioSocial"/>
			</td>
		</tr>
		<tr><td colspan="3" class="tituloSeccion"><div class="hrNormal" ></div></td></tr>
		</table>
			
		</xsl:if>
		
	
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress">
			
			<table>
			
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.domicilioSocial.titulo"/></span>
					</td>
				</tr>
				
        
         <xsl:if test="string(./cbc:SuspensionDomicilioSocial)=''">

				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.domicilioSocial.via"/>:
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:StreetName"/>
					</td>
				</tr>
				
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.domicilioSocial.codigoPostal"/>:
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:PostalZone"/>
					</td>
				</tr>
				
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.domicilioSocial.municipio"/>:
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CityName"/>
					</td>
				</tr>
				
				<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode">
				
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.domicilioSocial.provincia"/>:
						<xsl:variable name="provincia" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode"/>
						<xsl:for-each select="document('xml/CountrySubentityCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($provincia))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$provincia"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				
				</xsl:if>
				
				<tr>
					<td colspan="3" class="datoSeccionIndent">
						<xsl:value-of select="$lang.domicilioSocial.pais"/>:
						<xsl:variable name="pais" select="./cac:EconomicOperatorParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode"/>
						<xsl:for-each select="document('xml/NationalityID.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($pais))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$pais"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
		</xsl:if>		
				<tr>
					<td colspan="3" class="tituloSeccion">
						<div class="hrNormal" ></div>
					</td>
				</tr>
				
			
				
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- PROHIBICIONES PARA CONTRATAR                                                                   -->
<!-- ********************************************************************************************** -->
			
			
			
	
			  <xsl:if test="string(./cac:ContractingProhibition/cac:CurrentProhibitions)='false' or string(./cac:ContractingProhibition/cbc:CurrentProhibitions)='false'">
			
			<table >
				<tr>
				  <td colspan="3" class="tituloSeccion">
				  <span><xsl:value-of select="$lang.prohibiciones.titulo"/></span>
				  </td>
				</tr>
								
				 <tr>
				  <td class="tituloSeccion" width="1%"></td>
				  <td colspan="2" class="tituloSeccion">
				   <xsl:value-of select="$lang.prohibiciones.sinprohibiciones"/>
				  </td>
				 </tr>
			</table>
			</xsl:if>
			
			<xsl:if test="./cac:ContractingProhibition">
			
				<xsl:for-each select="./cac:ContractingProhibition">
				
					<!-- Se obtiene la fecha de fin de prohibicion sumando la fecha inicial, la duracion de la prohibicion 
					y un margen de 30 dias. Luego se normaliza quitando los guiones y queda en formato aaaammdd -->
					
					<xsl:variable name="fechaFinProConMargen">
						<xsl:call-template name="calculaFechaFinProhibicion">
									<xsl:with-param name="endDate">
										<xsl:value-of select="./cac:Period/cbc:EndDate"/>
									</xsl:with-param>
									<xsl:with-param name="year">
										<xsl:value-of select="substring(./cbc:StartingDate, 1, 4)"/>
									</xsl:with-param>
									<xsl:with-param name="month">
										<xsl:value-of select="substring(./cbc:StartingDate, 6, 2)"/>
									</xsl:with-param>
									<xsl:with-param name="day">
										<xsl:value-of select="substring(./cbc:StartingDate, 9, 2)"/>
									</xsl:with-param>
									<xsl:with-param name="duration">
										<xsl:if test="./cbc:DurationMeasure">
										<xsl:value-of select="./cbc:DurationMeasure+30"/>
										</xsl:if>
									</xsl:with-param>
						</xsl:call-template>
					</xsl:variable>
					
					<xsl:variable name="fechaFinProConMargenNorm" select="translate($fechaFinProConMargen,'-','')" />
                   
       				<xsl:choose>
          				<!-- Si la fecha de emision del certificado es menor que la fecha de fin de prohibicion, 
          				la prohibicion de contratar todavia esta en vigor y se muestra -->
<!--           				<xsl:when test="$fechaEmisionCertNorm &lt; $fechaFinProConMargenNorm">				 -->
                   <xsl:when test="1=1">	
				
				<!-- PROHIBICIONES PARA CONTRATAR   VIGENTES     -->
				
				  <xsl:if test="string(./cac:CurrentProhibitions)='true' or string(./cbc:CurrentProhibitions)='true'">
							<table class="prohibicion">
							
								<tr>
									<td colspan="3" class="tituloSeccion">
										<span><xsl:value-of select="$lang.prohibiciones.titulo"/></span>
									</td>
								</tr>
									<tr>
									<td class="tituloSeccion" width="3%">&#62;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.ordenante"/>:
										<xsl:value-of select="./cac:OrderingParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
									</td>
								</tr>
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.fechaResolucion"/>:
										<xsl:value-of select="./cbc:ResolutionDate"/>
									</td>
								</tr>
						
								
								
								
		                <xsl:for-each select="./cac:Period">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.fechaInicio"/>:
										<xsl:choose>
											<xsl:when test="./cbc:StartDate">
												<xsl:value-of select="./cbc:StartDate"/>
											</xsl:when>
										</xsl:choose>
									</td>
								</tr>
									

								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:choose>
										<xsl:when test="./cbc:EndDate">
											<xsl:value-of select="$lang.prohibiciones.fechaVencimiento"/>:
											<xsl:value-of select="./cbc:EndDate"/>
										</xsl:when>
										
										</xsl:choose>
									</td>
								</tr>
								</xsl:for-each>
						
						
							<xsl:choose>
								<xsl:when test="./cbc:StartingDate">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
									<xsl:value-of select="$lang.prohibiciones.fechaInicio"/>:
									<xsl:value-of select="./cbc:StartingDate"/>
									</td>
								</tr>
								</xsl:when>
								</xsl:choose>
								
								<xsl:choose>
								 <xsl:when test="./cbc:DurationMeasure">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
									<xsl:value-of select="$lang.prohibiciones.duracion"/>:
									<xsl:value-of select="./cbc:DurationMeasure"/>
									</td>
								</tr>
								 </xsl:when>
							</xsl:choose>
								
								
								
								
								
								
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.causa"/>:
										<xsl:value-of select="./cbc:Cause"/>
									</td>
								</tr>
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.ambito"/>:
										<xsl:value-of select="./cbc:Effects"/>
									</td>
								</tr>								
							</table>
							
							<table>
								<tr>
									<td colspan="3">
										<div class="hrNormal" ></div>
									</td>
								</tr>
							</table>
							
							
							
							</xsl:if>
				<!-- FIN PROHIBICIONES PARA CONTRATAR   VIGENTES     -->					
							
							
							
							
				<!-- PROHIBICIONES PARA CONTRATAR   ANTERIORES     -->		
							
							
						  <xsl:if test="string(./cac:CurrentProhibitions)='false' or string(./cbc:CurrentProhibitions)='false'">
						<xsl:choose>
						<xsl:when test="./cbc:ResolutionDate">
							<table>
							
								<tr>
									<td colspan="3" class="tituloSeccion">
										<span><xsl:value-of select="$lang.prohibiciones.anteriores.titulo"/></span>
									</td>
								</tr>
									<tr>
									<td class="tituloSeccion" width="3%">&#62;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.ordenante"/>:
										<xsl:value-of select="./cac:OrderingParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
									</td>
								</tr>
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.fechaResolucion"/>:
										<xsl:value-of select="./cbc:ResolutionDate"/>
									</td>
								</tr>
						
								
		                <xsl:for-each select="./cac:Period">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.fechaInicio"/>:
										<xsl:choose>
											<xsl:when test="./cbc:StartDate">
												<xsl:value-of select="./cbc:StartDate"/>
											</xsl:when>
										</xsl:choose>
									</td>
								</tr>
									

								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:choose>
										<xsl:when test="./cbc:EndDate">
											<xsl:value-of select="$lang.prohibiciones.fechaVencimiento"/>:
											<xsl:value-of select="./cbc:EndDate"/>
										</xsl:when>
										</xsl:choose>
									</td>
								</tr>
								</xsl:for-each>
								
								
								
							<xsl:choose>
								<xsl:when test="./cbc:StartingDate">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
									<xsl:value-of select="$lang.prohibiciones.fechaInicio"/>:
									<xsl:value-of select="./cbc:StartingDate"/>
									</td>
								</tr>
								</xsl:when>
							</xsl:choose>
								
							<xsl:choose>
								 <xsl:when test="./cbc:DurationMeasure">
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
									<xsl:value-of select="$lang.prohibiciones.duracion"/>:
									<xsl:value-of select="./cbc:DurationMeasure"/>
									</td>
								</tr>
								 </xsl:when>
							</xsl:choose>
								
								
								
								
								
								
								
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.causa"/>:
										<xsl:value-of select="./cbc:Cause"/>
									</td>
								</tr>
								<tr>
									<td class="tituloSeccion" width="3%">&#160;</td>
									<td colspan="2" class="tituloSeccion">
										<xsl:value-of select="$lang.prohibiciones.ambito"/>:
										<xsl:value-of select="./cbc:Effects"/>
									</td>
								</tr>								
							</table>
							
							
							<table>
								<tr>
									<td colspan="3">
										<div class="hrNormal" ></div>
									</td>
								</tr>
							</table>
							
							</xsl:when>
						</xsl:choose>
					</xsl:if>	
							
						
					<!--FIN   PROHIBICIONES PARA CONTRATAR   ANTERIORES     -->					
							
							
							

          				</xsl:when>
        			</xsl:choose>

				</xsl:for-each>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- ORGANO DE ADMINISTRACIN                                                                                -->
<!-- ********************************************************************************************** -->

	      <xsl:if test="./cbc:SuspensionAdministradores">
	      	<table>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.administracion.titulo"/></span>
					</td>
				</tr>
			 <tr>
			<td colspan="3" class="datoSeccionIndent">
			   <xsl:value-of select="./cbc:SuspensionAdministradores"/>
		   	</td>	
		    </tr>
		   	</table>
		    	
		   	<table>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>	
		    	
		    	
		   </xsl:if>


			<xsl:if test="./cac:AdministratingLegalAgent">
			<table>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.administracion.titulo"/></span>
					</td>
				</tr>
				
				
				<xsl:for-each select="./cac:AdministratingLegalAgent">
				  <tr>
						<td class="tituloSeccion" width="3%">&#62;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.administrador"/>:
							
												<xsl:if test="not(./cac:Party/cac:PartyLegalEntity)">
							<xsl:if test="./cac:Party/cac:Person/cbc:FamilyName">
								<xsl:value-of select="./cac:Party/cac:Person/cbc:FamilyName"/>,
						   </xsl:if>
						   <xsl:if test="./cac:Party/cac:Person/cbc:FirstName">
								<xsl:value-of select="./cac:Party/cac:Person/cbc:FirstName"/>
						   </xsl:if>
					        </xsl:if>   
				  
					       <xsl:if test="./cac:Party/cac:PartyLegalEntity/cbc:RegistrationName">
								<xsl:value-of select="./cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
							</xsl:if>
							(<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID"/>)
							
						</td>
					</tr>
					
					
					
				<xsl:if test="./cac:Party/cac:PartyLegalEntity">	 	
                      <xsl:if test="./cac:Party/cac:Person/cbc:FamilyName">
					  <tr>
						  <td colspan="2" style="font:11px Verdana;  padding-left:75px; height:20px;font-weight:bold;" width="97%"><xsl:value-of select="$lang.administradores.representantes"/>:</td>
							 
					  </tr>
					  </xsl:if>
					  
					  
					  <xsl:for-each select="./cac:Party/cac:Person">
					  <tr>
						
						    <td colspan="2" style="font:11px Verdana; padding-left:75px; height:10px;" width="97%">&#62;
						
						
						<xsl:if test="./cbc:FamilyName">
						
								<xsl:value-of select="./cbc:FamilyName"/>,
						 </xsl:if>
						   <xsl:if test="./cbc:FirstName">
								<xsl:value-of select="./cbc:FirstName"/>
						   
						   (<xsl:value-of select="./cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cbc:ID"/>)
						   </xsl:if>
						</td>
					</tr>	   
					 </xsl:for-each>	   
						   
					</xsl:if> 
					
					<xsl:if test="./cac:PowerofAttorney/cbc:ID">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.numeroProtocolo"/>:
							<xsl:value-of select="./cac:PowerofAttorney/cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cbc:IssueDate">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.fechaEmision"/>:
							<xsl:value-of select="./cac:PowerofAttorney/cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="substring-before(./cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="substring-before(./cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.poderRepresentacion"/>:
								<xsl:variable name="extensionAdmin" select="substring-after(./cac:PowerofAttorney/cbc:ExtensionTypeCode,'#')"/>
								<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$extensionAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="not(substring-before(./cac:PowerofAttorney/cbc:ExtensionTypeCode,'#'))">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.cargo"/>:
								<xsl:variable name="cargoAdmin" select="./cac:PowerofAttorney/cbc:ExtensionTypeCode"/>
								<xsl:for-each select="document('xml/ExtensionCargoTypeCode.xml')">
									<xsl:variable name="item">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:variable>
									<xsl:if test=" string($item)!='' ">
										<xsl:value-of select="key('ABR',normalize-space($cargoAdmin))"/>
									</xsl:if>
									<xsl:if test=" string($item)='' ">
										<xsl:value-of select="$cargoAdmin"/>
									</xsl:if>
								</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cbc:MaximumAmount">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.limiteCuantitativo"/>:
							<xsl:if test="./cac:PowerofAttorney/cbc:MaximumAmount = '' or ./cac:PowerofAttorney/cbc:MaximumAmount= '-1'">&#160;<xsl:value-of select="$lang.administracion.ilimitado"/></xsl:if>
							<xsl:if test="./cac:PowerofAttorney/cbc:MaximumAmount != '' and ./cac:PowerofAttorney/cbc:MaximumAmount != '-1'">
							<xsl:value-of select="format-number(./cac:PowerofAttorney/cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cac:PowerofAttorney/cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cac:PowerofAttorney/cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<!-- xsl:if test="not(./cac:PowerofAttorney/cbc:MaximumAmount)">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							Lmite Cuantitativo:&#160;ILIMITADO
						</td>
					</tr>
					</xsl:if-->
					<xsl:if test="./cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.administracion.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cac:ValidityPeriod != ''">
					
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.validez.desde"/>:
							<xsl:value-of select="./cac:PowerofAttorney/cac:ValidityPeriod/cbc:StartDate"/>
						</td>
					</tr>
					
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.validez"/>:
							<xsl:value-of select="./cac:PowerofAttorney/cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cac:ValidityPeriod = ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.validez"/>:&#160;<xsl:value-of select="$lang.administracion.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.notario"/>:
							<xsl:value-of select="./cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:PowerofAttorney/cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>
					
					



					
					
						<xsl:if test="./cac:PowerofAttorney/cbc:LiteralContent[1]">

							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							 <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if> 
							   <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[1]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if> 
							
							
							
							</td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:PowerofAttorney/cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
					
					
					<xsl:if test="./cac:PowerofAttorney/cbc:LiteralContent[2]">
						<tr><td colspan="3"><div class="hrFina" ></div></td></tr>
					
							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							  <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if> 
							    <xsl:if test="string(./cac:PowerofAttorney/cbc:LiteralContent[2]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if> 
							
							</td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">	
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cac:PowerofAttorney/cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>	
					
					
					
					
					  <!--BASTANTEOS ADMINITRACION-->
					
				<xsl:for-each select="./cac:PowerofAttorney/cac:SufficiencyOfPower">
					
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" class="tituloSeccionBold" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
					

					
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.autoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
						
					</xsl:for-each>
                <!--FIN BASTANTEOS ADMINITRACION-->		
					
				<tr><td colspan="3"><div class="hrFina" ></div></td></tr>
					
				</xsl:for-each>
				
			</table>
			
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- APODERADOS                                                                                     -->
<!-- ********************************************************************************************** -->

	      <xsl:if test="./cbc:SuspensionApoderados">
	      	<table>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.apoderado.titulo"/></span>
					</td>
				</tr>
			 <tr>
			<td colspan="3" class="datoSeccionIndent">
			   <xsl:value-of select="./cbc:SuspensionApoderados"/>
		   	</td>	
		    </tr>
		   	</table>
		    	
		   	<table>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>	
		    	
		    	
		   </xsl:if>



			<xsl:if test="./cac:EconomicOperatorLegalAgent">
			<table>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.apoderado.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:EconomicOperatorLegalAgent">
					<tr>
						<td class="tituloSeccion" width="3%">&#62;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.nombre"/>:
							<xsl:value-of select="./cac:Party/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.apellidos"/>:
							<xsl:value-of select="./cac:Party/cac:Person/cbc:FamilyName"/>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/>:
							<xsl:value-of select="./cac:Party/cac:PartyIdentification/cbc:ID"/>
						</td>
					</tr>
					
					
			<!-- INICIO PODERES -->
				<xsl:if test="./cac:PowerofAttorney">
				
					<xsl:for-each select="./cac:PowerofAttorney"> 
<!-- 					<tr>
					<td colspan="3" class="tituloSeccionBold" width="97%">	<xsl:value-of select="$lang.poder"/>	</td>
					
					</tr> -->	
					
		
					
					<xsl:if test="./cbc:ID">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.numeroProtocolo"/>:
							<xsl:value-of select="./cbc:ID"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:IssueDate">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.fechaEmision"/>:
							<xsl:value-of select="./cbc:IssueDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:ExtensionTypeCode">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.extensionPoderes"/>:
							<xsl:variable name="extensionAdmin" select="./cbc:ExtensionTypeCode"/>
							<xsl:for-each select="document('xml/ExtensionTypeCode.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($extensionAdmin))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$extensionAdmin"/>
								</xsl:if>
							</xsl:for-each>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:MaximumAmount">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.limiteCuantitativo"/>:
							<xsl:if test="./cbc:MaximumAmount = '' or ./cbc:MaximumAmount = '-1'">&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/></xsl:if>
							<xsl:if test="./cbc:MaximumAmount != '' and ./cbc:MaximumAmount != '-1'">
							<xsl:value-of select="format-number(./cbc:MaximumAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cbc:MaximumAmount/@currencyID = 'EUR'"><xsl:value-of select="$EUROS"/></xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cbc:MaximumAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
							</xsl:if>
						</td>
					</tr>
					</xsl:if>
					<!-- xsl:if test="not(./cbc:MaximumAmount)">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							Lmite Cuantitativo:&#160;ILIMITADO
						</td>
					</tr>
					</xsl:if-->
					<xsl:if test="./cac:GeopoliticalAreaLocation/cbc:Conditions != ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:
							<xsl:value-of select="translate(./cac:GeopoliticalAreaLocation/cbc:Conditions,'abcdefghijklmnopqrstuvwxyz',
'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:GeopoliticalAreaLocation/cbc:Conditions = ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							L<xsl:value-of select="$lang.apoderado.limitesTerritoriales"/>:&#160;<xsl:value-of select="$lang.apoderado.ilimitado"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ValidityPeriod != ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:
							<xsl:value-of select="./cac:ValidityPeriod/cbc:EndDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:ValidityPeriod = ''">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.validez"/>:&#160;<xsl:value-of select="$lang.apoderado.indefinido"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:NotaryParty/cac:Person/cbc:FirstName">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.apoderado.notario"/>:
							<xsl:value-of select="./cac:NotaryParty/cac:Person/cbc:FamilyName"/>,
							<xsl:value-of select="./cac:NotaryParty/cac:Person/cbc:FirstName"/>
						</td>
					</tr>
					</xsl:if>



 						<xsl:if test="./cbc:LiteralContent[1]">
					
							<!-- <xsl:value-of select="./cac:LegalAgent/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>   
							    <xsl:if test="string(./cbc:LiteralContent[1]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if> 
							
							</td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:LiteralContent[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>
					
					
					<xsl:if test="./cbc:LiteralContent[2]">
<!-- 						<tr><td colspan="3"><div class="hrFina" ></div></td></tr> -->
	
							<!-- <xsl:value-of select="./cac:LegalAgent/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							  <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if> 
							    <xsl:if test="string(./cbc:LiteralContent[2]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if> 
							   </td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:LiteralContent[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
					</xsl:if>	
					
					
					 <!--BASTANTEOS APODERADO-->
					
					<xsl:for-each select="./cac:SufficiencyOfPower">
					
					<xsl:if test="./cbc:CountrySubentityCode">
					<tr>
					
					<td colspan="3" class="tituloSeccionBold" width="97%">
					 &#160;<xsl:value-of select="$lang.bastanteos.poderbastanteado"/>:<xsl:value-of select="./cbc:CountrySubentityCode"/>
					</td>
					</tr>
					</xsl:if>
					
						
					<xsl:if test="./cbc:LiteralContent">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.textosbastanteo"/>:<xsl:value-of select="./cbc:LiteralContent"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:StartDate">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechabastanteo"/>:<xsl:value-of select="./cac:Period/cbc:StartDate"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:Period/cbc:EndDate">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					 &#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.fechafinvigencia"/>:<xsl:value-of select="./cac:Period/cbc:EndDate"/>
					</td>
					</tr>
					</xsl:if>
				
					<xsl:if test="./cac:AuthorizerParty/cac:PartyName/cbc:Name">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.autoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:PartyName/cbc:Name"/>
					</td>
					</tr>
					</xsl:if>
					
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FirstName">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.nombreautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FirstName"/>
					</td>
					</tr>
					</xsl:if>
					
					<xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:FamilyName">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.apellidosautoridad"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:FamilyName"/>
					</td>
					</tr>
					</xsl:if>
					
				  <xsl:if test="./cac:AuthorizerParty/cac:Person/cbc:JobTitle">
					<tr>
					<td colspan="3" class="tituloSeccion" width="97%">
					&#160;&#160;-&#160;&#160;<xsl:value-of select="$lang.bastanteos.cargo"/>:<xsl:value-of select="./cac:AuthorizerParty/cac:Person/cbc:JobTitle"/>
					</td>
					</tr>
					</xsl:if>
					
					
					
					</xsl:for-each>
                <!--FIN BASTANTEOS APODERADO-->
			
				</xsl:for-each>
				</xsl:if>
					<!-- FIN PODERES -->			
				
			   <tr><td colspan="3"><div class="hrFina" ></div></td></tr>	
				</xsl:for-each>
				
			</table>			
			</xsl:if>
<!-- ********************************************************************************************** -->

<!-- CLASIFICACIONES                                                                                -->

<!-- ********************************************************************************************** -->
			
			<xsl:if test="(./cac:CertifiedBusinessQualification)">
			<table class="visible">

				<tr>
					<td class="tituloSeccion" colspan="5">
						<span><xsl:value-of select="$lang.clasificaciones.titulo"/></span>
					</td>
				</tr>

		
<!-- ENTIDAD CLASIFICADORA -->					
				<xsl:for-each select="./cac:CertifiedBusinessQualification"> <!-- inicio bucle entidades clasificadoras -->
				
				<tr>
				<td  class="tituloSeccion">
				<xsl:value-of select="$lang.clasificaciones.pais"/>:&#160;&#160;
				<xsl:value-of select="$lang.clasificaciones.pais.valor"/>
				
				</td>
				
				</tr>
				
				<tr>
					<td colspan="5" class="tituloSeccion">
						<xsl:value-of select="$lang.clasificaciones.entidad"/>:&#160;&#160;
						<xsl:variable name="entidadClasificadora" select="./cac:QualifyingParty/cac:PartyIdentification/cbc:ID"/>
						<xsl:for-each select="document('xml/PartyIdentificationTypeCode.xml')">
							<xsl:variable name="item">
								<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:variable>
							<xsl:if test=" string($item)!='' ">
							<xsl:value-of select="key('ABR',normalize-space($entidadClasificadora))"/>
							</xsl:if>
							<xsl:if test=" string($item)='' ">
							<xsl:value-of select="$entidadClasificadora"/>
							</xsl:if>
						</xsl:for-each>
					</td>
				</tr>
				
				

<!-- **************** GRUPO *************** -->						
				
				<xsl:if test="./cac:BusinessQualificationItem">
				<tr >
					<td class="tituloBold" width="100px"><xsl:value-of select="$lang.clasificaciones.grupo"/></td>
					<td class="tituloBold" width="100px"><xsl:value-of select="$lang.clasificaciones.subgrupo"/></td>
					<td class="tituloBold" ><xsl:value-of select="$lang.clasificaciones.categoria"/></td>
					
					<td width="100px">&#160;</td>
					 
					<td class="tituloBold" width="146px"><xsl:value-of select="$lang.clasificaciones.fechaOtorgamiento"/></td>
				</tr>
             </xsl:if>

<!-- grupo -->				
				<xsl:for-each select="./cac:BusinessQualificationItem"> <!-- inicio bucle grupos -->
				<tr>
					<td class="tituloSeccion" colspan="4">
						<!-- valor del grupo -->
					<xsl:if test="./cbc:ActivityCode">
						    <xsl:if test="./cbc:ActivityCode!=00">
							  <xsl:value-of select="./cbc:ActivityCode"/>&#160;-&#160;
							</xsl:if>
							<xsl:value-of select="./cac:ActivityDescription"/>
							<xsl:value-of select="./cbc:ActivityDescription"/>
							
					</xsl:if>&#160;
					</td>

					<td>
					&#160;
					</td>
	           </tr>
	           
	         
	      	          
<!-- categoria del grupo  -->						
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">
                   <tr>
                    <td>&#160;</td>
                     <td>&#160;</td>
					<td class="tituloSeccion9">
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
							
							<!-- valor-->
							&#160;- &#160;
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cac:Description"/>
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:Description"/>
						&#160;
					</td>
					
	


 
 
 
 
 
 
 
 	
	  <xsl:choose> 
		<xsl:when test="./cbc:LastRevisionDate">
		  <xsl:if test="./cbc:ClassificationStatusCode='S'">
         			<td class="fechaSuspension" >
                       
                        <!-- fecha de Suspension -->
                        <xsl:value-of select="$lang.clasificacion.suspendida.desde"/>:
                        <br></br>
					<xsl:value-of select="./cbc:LastRevisionDate"/>&#160;
					</td>
			
          </xsl:if>
           <xsl:if test="./cbc:ClassificationStatusCode!='S'">
         			<td class="tituloSeccionCenter" >	
                     &#160;
                    </td>
			</xsl:if>


			
		 </xsl:when>
		<xsl:otherwise>
	    <td class="tituloSeccionCenter" >	
        &#160;
        </td>
		 </xsl:otherwise>
	 </xsl:choose>	
 
 
 



	<td class="tituloSeccionCenter" >
<!-- fecha de alta -->
					<xsl:value-of select="./cac:Period/cbc:StartDate"/>&#160;
					</td>
					<td class="tituloSeccion">
 <!--  fecha de vencimiento del subgrupo -->					
					<xsl:if test="./cac:Period/cbc:EndDate">

							<xsl:value-of select="./cac:Period/cbc:EndDate"/><!-- valor-->
						
					<!--</tr>-->
					</xsl:if>

					</td>
					
					
				</tr>    
					</xsl:if>&#160;
					
					
					
					 
	           
	           
	         <!--  -->
	        	
	          				

					
<!-- ************* SUBGRUPO ******************* -->						

<!-- subgrupo -->
				
				<xsl:for-each select="./cac:BusinessQualificationItem"> <!-- inicio bucle subgrupos -->
				<tr>		
					<td>
					&#160;
					</td>

					<!-- valor subgrupo-->
					<td class="tituloSeccion"  colspan="2">
					<xsl:if test="./cbc:ActivityCode">
						    <xsl:if test="./cbc:ActivityCode!=00">
							  <xsl:value-of select="./cbc:ActivityCode"/>&#160;-&#160;
							</xsl:if>
							<xsl:value-of select="./cac:ActivityDescription"/>
							<xsl:value-of select="./cbc:ActivityDescription"/>
							
					</xsl:if>&#160;
					</td>
				</tr>	

                <tr>
                    <td>&#160;</td>
                     <td>&#160;</td>
					<td class="tituloSeccion9">
<!-- categoria del subgrupo  -->						
					<xsl:if test="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyCode">

							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:PropertyValueCode"/>
							
							<!-- valor-->
							&#160;-&#160;
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cac:Description"/>
							<xsl:value-of select="./cac:BusinessQualificationCertifiedProperty/cbc:Description"/>
						
					</xsl:if>&#160;
					</td>
					
	
	
	
	  <xsl:choose> 
		<xsl:when test="./cbc:LastRevisionDate">
		  <xsl:if test="./cbc:ClassificationStatusCode='S'">
         			<td class="fechaSuspension" >
                       
                        <!-- fecha de Suspension -->
                        <xsl:value-of select="$lang.clasificacion.suspendida.desde"/>:
                        <br></br>
					<xsl:value-of select="./cbc:LastRevisionDate"/>&#160;
					</td>
			
          </xsl:if>
           <xsl:if test="./cbc:ClassificationStatusCode!='S'">
         			<td class="tituloSeccionCenter" >	
                     &#160;
                    </td>
			</xsl:if>


			
		 </xsl:when>
		<xsl:otherwise>
	    <td class="tituloSeccionCenter" >	
        &#160;
        </td>
		 </xsl:otherwise>
	 </xsl:choose>	
	
	
					
					
					<td class="tituloSeccionCenter" >
<!-- fecha de alta -->
					<xsl:value-of select="./cac:Period/cbc:StartDate"/>&#160;
					</td>
					
					
					<td class="tituloSeccion">
 <!--  fecha de vencimiento del subgrupo -->					
					<xsl:if test="./cac:Period/cbc:EndDate">

							<xsl:value-of select="./cac:Period/cbc:EndDate"/><!-- valor-->
						
					<!--</tr>-->
					</xsl:if>&#160;

					</td>
					
					
				</tr>
					
				</xsl:for-each> <!-- fin bucle subgrupos -->
			</xsl:for-each> <!-- fin bucle grupos -->
		</xsl:for-each> <!-- fin bucle entidades clasificadoras -->
				<tr>
					<td colspan="5"><div class="hrNormal" ></div></td>
				</tr>
			</table>
			
			</xsl:if>
			
<!-- ********************************************************************************************** -->
<!-- CUENTAS                                                                                        -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AnnualAccountsReference">
			<table>
				<tr>
					<td colspan="4" class="tituloSeccion">
						<span><xsl:value-of select="$lang.cuentas.titulo"/></span>
					</td>
				</tr>
<!-- 				<xsl:for-each select="./cac:AnnualAccountsReference"> -->
<!-- 				<xsl:variable name="FECHA" select="./cbc:AcceptanceAccountsDate/@unitCode"/> -->
<!-- 				<tr> -->
<!-- 					<td class="tituloSeccion" >&#160;</td> -->
<!-- 					<td colspan="3" class="tituloSeccion"> -->
<!-- 						<xsl:value-of select="$lang.cuentas.fecha"/>: -->
<!--                         <xsl:value-of  select="substring(./cbc:AcceptanceAccountsDate/.,1,4)"/> -->
<!-- 					</td> -->
<!-- 				</tr>				 -->
<!-- 				</xsl:for-each> -->
				<!-- Incicio resumen de cuentas  -->
				<xsl:if test="./rolece:AnnualAccountsElement">
					<xsl:for-each select="./rolece:AnnualAccountsElement">
						<tr>
							<td colspan="4" class="tituloSeccionBold">
								<xsl:value-of select="$lang.cuentas.resumen.titulo"/>: 
								<xsl:value-of select="substring(./cac:AnnualAccountsReference/cbc:AcceptanceAccountsDate/.,1,10)"/>
							</td>
						</tr>
						<tr>
							<td class="tituloSeccion" >&#160;</td>
							<td class="tituloSeccion" ><xsl:value-of select="$lang.cuentas.resumen.identificacion"/></td>
							<td colspan="2" class="tituloSeccion" >
								<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID"/> - 
								<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyIdentification/cbc:ID"/>
							</td>
						</tr>
						<tr>
							<td class="tituloSeccion" >&#160;</td>
							<td class="tituloSeccion" ><xsl:value-of select="$lang.cuentas.resumen.denominacion"/></td>
							<td colspan="2" class="tituloSeccion" >
								<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/> 
							</td>
						</tr>					
						<xsl:for-each select="./cac:Period">
						<tr>
							<td class="tituloSeccion">&#160;</td>
							<td class="tituloSeccion"><xsl:value-of select="./cbc:Description"/></td>
							<td class="tituloSeccion"><xsl:value-of select="./cbc:StartDate"/></td>
							<td class="tituloSeccion"><xsl:value-of select="./cbc:EndDate"/></td>
						</tr>						
						</xsl:for-each>
						<tr>
							<td class="tituloSeccion" >&#160;</td>
							<td class="tituloSeccion" ><xsl:value-of select="$lang.cuentas.resumen.unidades"/></td>
							<td colspan="2" class="tituloSeccion" >
								<xsl:value-of select="./cbc:CurrencyCode/@listID"/>:<xsl:value-of select="./cbc:CurrencyCode"/>
							</td>
						</tr>
						<xsl:for-each select="./rolece:AccountConcept">
						<tr>
							<td class="tituloSeccion">&#160;</td>
							<td class="tituloSeccion"><xsl:value-of select="./cbc:Name"/></td>
							<td class="tituloSeccion"><xsl:value-of select="./cbc:Description"/></td>
							<td class="tituloSeccion"><xsl:value-of select="format-number(./rolece:RoleceAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;									
								<xsl:choose>
										<xsl:when test="./rolece:RoleceAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./rolece:RoleceAmount/@currencyID" />
										</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>						
						</xsl:for-each>
					</xsl:for-each>
				</xsl:if>
				<!-- Fin resumen de cuentas  -->
				<tr><td colspan="4"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- CIFRAS DE NEGOCIO                                                                              -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:FinancialTurnoverCapability">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" class="tituloSeccion">
						<span class="spanBoldUnderline"><xsl:value-of select="$lang.cifras.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:FinancialTurnoverCapability">
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
						<xsl:if test="./cbc:YearDate">
							<td colspan="2" class="verdanaLeft" width="80px">
								<xsl:value-of select="substring(./cbc:YearDate,1,4)"/>:
							</td>
						</xsl:if>
						<xsl:if test="./cac:Period/cbc:StartDate">
							<td class="verdanaLeft" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:Period/cbc:EndDate">
							<td class="verdanaLeft" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:Period/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td class="verdanaRight" width="120px">
							<xsl:choose>
								<xsl:when test="./cbc:ValueQuantity" >
									<xsl:value-of select="format-number(./cbc:ValueQuantity, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:value-of select="$EUROS"/>
								</xsl:when>
								<xsl:when test="./cbc:ValueAmount">
									<xsl:value-of select="format-number(./cbc:ValueAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
									<xsl:choose>
										<xsl:when test="./cbc:ValueAmount/@currencyID = 'EUR'">
											<xsl:value-of select="$EUROS"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./cbc:ValueAmount/@currencyID" />
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
							</xsl:choose>
							
							<!--<xsl:value-of select="number(./cbc:ValueQuantity/@unitCode)"/>-->
						</td>
					</tr>
				</xsl:for-each>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- POLIZAS DE RESPONSABILIDAD ASEGURADA                                                           -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:InsuredAccountability">
			<table class="visible">
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.polizas.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:InsuredAccountability">
					<tr>
						<td class="tituloSeccion" width="3%">&#62;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.polizas.identificador"/>:
							<xsl:value-of select="./cbc:ID"/>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.polizas.importe"/>:
							<xsl:value-of select="format-number(./cbc:InsuredAmount, '###.###,00;(###.###,00)', 'european')"/>&#160;
							<xsl:choose>
								<xsl:when test="./cbc:InsuredAmount/@currencyID = 'EUR'">
									<xsl:value-of select="$EUROS"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cbc:InsuredAmount/@currencyID" />
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.polizas.fechaInicio"/>:
							<xsl:choose>
								<xsl:when test="./cac:Period">
									<xsl:value-of select="./cac:Period/cbc:StartDate"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="./cbc:StartingDate"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:choose>
								<xsl:when test="./cac:Period">
									<xsl:value-of select="$lang.polizas.fechaVencimiento"/>:
									<xsl:value-of select="./cac:Period/cbc:EndDate"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$lang.polizas.duracion"/>:
									<xsl:value-of select="./cbc:DurationMeasure"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>



							<tr>
								<td class="tituloSeccion" width="3%">&#160;</td>
								<td colspan="2" class="tituloSeccion" width="97%">
									<xsl:value-of select="$lang.polizas.asegurador"/>:
									<xsl:value-of select="./cac:InsuranceCompanyParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
								</td>
							</tr>

			     <xsl:if test="./cbc:CoveredRisk[1]">
					
							<!-- <xsl:value-of sele/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">	
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							 <xsl:if test="string(./cbc:CoveredRisk[1]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:CoveredRisk[1]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:CoveredRisk[1]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if> 
							    <xsl:if test="string(./cbc:CoveredRisk[1]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							</td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:CoveredRisk[1]"/>
							</xsl:call-template>
							</td>
							</tr>	
				</xsl:if>
					
				<xsl:if test="./cbc:CoveredRisk[2]">
					<xsl:if test="./cbc:CoveredRisk[2]!=''">
						<tr><td colspan="3"><div class="hrFina" ></div></td></tr>

							<!-- <xsl:value-of select="./cac:LegalAgent/cac:PowerofAttorney/cbc:LiteralContent"/> -->
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.administracion.contenidoLiteral"/>:
							<xsl:value-of select="$lang.contenido.idioma"/>&#160;
							
							  <xsl:if test="string(./cbc:CoveredRisk[2]/@languageID)='ES'">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:CoveredRisk[2]/@languageID)='CA'">
							     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
							   </xsl:if>
							 <xsl:if test="string(./cbc:CoveredRisk[2]/@languageID)='GL'">
							     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
							   </xsl:if>
							  <xsl:if test="string(./cbc:CoveredRisk[2]/@languageID)=''">
							     <xsl:value-of select="$lang.contenido.idioma.espanol"/>
							   </xsl:if>
							</td>
							</tr>	
							
							<tr>
							<td colspan="3" class="tituloSeccion" width="97%">		
						
							<xsl:call-template name="break">								
								<xsl:with-param name="text" select="./cbc:CoveredRisk[2]"/>
							</xsl:call-template>
							</td>
							</tr>	
				 </xsl:if>	
				</xsl:if>	



				</xsl:for-each>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- HABILITACIONES                                                                                 -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:ProfessionalAuthorization">
			<table>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<span><xsl:value-of select="$lang.habilitaciones.titulo"/></span>
					</td>
				</tr>
				<xsl:for-each select="./cac:ProfessionalAuthorization">
					<xsl:if test="./cbc:Description">
					<tr>
						<td class="tituloSeccion" width="3%">&#62;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.habilitaciones.denominacion"/>:
							<xsl:value-of select="./cbc:Description"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:Specialties">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.habilitaciones.especialidades"/>:
							<br/>
							<xsl:call-template name="break">
								<xsl:with-param name="text" select="./cbc:Specialties"/>
							</xsl:call-template>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.habilitaciones.otorgada"/>:
								<xsl:value-of select="./cac:AuthorizerParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:GrantingDate">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaOtorgamiento"/>:
								<xsl:value-of select="./cbc:GrantingDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:ExpirationDate">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.habilitaciones.fechaVencimiento"/>:
								<xsl:value-of select="./cbc:ExpirationDate"/>
						</td>
					</tr>
					</xsl:if>
					<xsl:if test="./cbc:RegulatorySource">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td colspan="2" class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.habilitaciones.norma"/>:							
							<xsl:variable name="tipoDisposicion" select="substring-before(./cbc:RegulatorySource,'#')"/>
							<xsl:for-each select="document('xml/RegulatorySource.xml')">
								<xsl:variable name="item">
									<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:variable>
								<xsl:if test=" string($item)!='' ">
								<xsl:value-of select="key('ABR',normalize-space($tipoDisposicion))"/>
								</xsl:if>
								<xsl:if test=" string($item)='' ">
								<xsl:value-of select="$tipoDisposicion"/>
								</xsl:if>
							</xsl:for-each>			
							&#160;<xsl:value-of select="substring-before(substring-after(./cbc:RegulatorySource,'#'),'#')"/>
							&#160;<xsl:value-of select="substring-after(substring-after(./cbc:RegulatorySource,'#'),'#')"/>
						</td>
					</tr>
					</xsl:if>
				</xsl:for-each>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>
<!-- ********************************************************************************************** -->
<!-- OBJETO SOCIAL                                                                                  -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cbc:EconomicOperatorCorporatePurpose">
			<table border="0" width="665px" >
				<tr>
					<td colspan="3" class="tituloBold">
						<xsl:value-of select="$lang.objetoSocial.titulo"/>
					</td>
				</tr>
			    <xsl:if test="./cbc:EconomicOperatorCorporatePurposeDate">
				  <tr>
					<td colspan="3" class="tituloSeccion">
						<xsl:value-of select="$lang.constitucionEmpresarial.fechaInscripcion"/>:&#160;<xsl:value-of select="./cbc:EconomicOperatorCorporatePurposeDate"/>
					</td>
				  </tr>
				</xsl:if>
			 
	
			<tr>
			<td colspan="3" class="tituloSeccion">
			
			 <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='ES'">
			 <xsl:value-of select="$lang.contenido.idioma"/>	:
			 <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			  </xsl:if>
			  <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='CA'">
			  <xsl:value-of select="$lang.contenido.idioma"/>	:
			     <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			  </xsl:if>
			   <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)='GL'">
			   <xsl:value-of select="$lang.contenido.idioma"/>	:
			     <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			   </xsl:if>
			 <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[1]/@languageID)=''">
			    <xsl:value-of select="$lang.contenido.idioma"/>	:
			    <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			  </xsl:if>
			  
			  
			</td>
			</tr>
			
				<tr>
					<td colspan="3" class="tituloSeccion">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
						    <xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[1]"/>
						
						</xsl:call-template>
					</td>
				</tr>
<!-- 				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; border-style:dashed;border-top-style:none;border-color:grey" /></td></tr> -->
				
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
				<xsl:if test="./cbc:EconomicOperatorCorporatePurpose[2]">
				
				<tr>
			     <td colspan="3" class="tituloSeccion">
			     <xsl:value-of select="$lang.contenido.idioma"/>	:
			     
			      
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='ES'">
			       <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='CA'">
			       <xsl:value-of select="$lang.contenido.idioma.catalan"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)='GL'">
			       <xsl:value-of select="$lang.contenido.idioma.gallego"/>
			      </xsl:if>
			       <xsl:if test="string(./cbc:EconomicOperatorCorporatePurpose[2]/@languageID)=''">
			       <xsl:value-of select="$lang.contenido.idioma.espanol"/>
			      </xsl:if>
			     </td>
			    </tr>
				
				
				<tr>
					<td colspan="3" class="tituloSeccion">
						<!-- <xsl:value-of select="./cbc:EconomicOperatorCorporatePurpose"/>-->
						<xsl:call-template name="break">
							<xsl:with-param name="text" select="./cbc:EconomicOperatorCorporatePurpose[2]"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
				</xsl:if>
			
				
			</table>
			</xsl:if>




<!-- ********************************************************************************************** -->
<!-- PERIODO MEDIO DE PAGO  -->              
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:AveragePeriodPaymentSuppliers">
			<table border="0" width="665px" >
				<tr>
					<td colspan="4" style="font:11px Verdana; text-align:left; height:20px;">
						<span style="font-weight:bold; text-decoration:underline;"><xsl:value-of select="$lang.periodomedio.titulo"/></span>
					</td>
				</tr>
				
					<xsl:variable name="CIFRA" select="./cbc:ValueQuantity/@unitCode"/>
					<tr>
											
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.desde"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:StartDate"/>
							</td>
						</xsl:if>
						<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate">
							<td style="font:11px Verdana; text-align:left;" width="100px">
								<xsl:value-of select="$lang.cifras.hasta"/>:&#160;
								<xsl:value-of select="./cac:AveragePeriodPaymentSuppliers/cac:ActivityPeriod/cbc:EndDate"/>
							</td>
						</xsl:if>			
							
						<td style="font:11px Verdana; text-align:right;" width="120px">
							
							<xsl:if test="./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure">
									<xsl:value-of select="format-number(./cac:AveragePeriodPaymentSuppliers/cbc:DurationMeasure, '###.###,00;(###.###,00)', 'european')"/>&#160;
									(<xsl:value-of select="$lang.periodomedio.dias"/>)
								</xsl:if>
								
						</td>
					</tr>
				
				<tr><td colspan="3"><hr width="665px" align="left" style="height:1px; color:black;" /></td></tr>
			</table>
			</xsl:if>	



<!-- ********************************************************************************************** -->
<!-- PGINA WEB CORPORATIVA                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI">
			<table>
				<tr>
					<td colspan="3" class="tituloBold">
						<xsl:value-of select="$lang.paginaWeb.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="3" class="tituloSeccion">
						<xsl:value-of select="./cac:EconomicOperatorParty/cac:Party/cbc:WebsiteURI"/>
					</td>
				</tr>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>
			
			
<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES TRIBUTARIAS                                                                       -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:TaxAgencyObligations">
			<table>
					<tr>
						<td colspan="3" class="tituloSeccion">
							<span><xsl:value-of select="$lang.obligacionesTributarias.titulo"/></span>
						</td>
					</tr>
					<xsl:for-each select="./cac:TaxAgencyObligations">
						<tr>
							<td class="tituloSeccion" width="3%">&#62;</td>
							<td class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.obligacionesTributarias.numeroReferencia"/>:
								<xsl:value-of select="./cbc:ReferenceID"/>
							</td>
						</tr>
						<tr>
							<td class="tituloSeccion" width="3%">&#160;</td>
							<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.obligacionesTributarias.autoridad"/>:
								<xsl:value-of select="./cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
							</td>
						</tr>
						<xsl:if test="./cbc:TaxEvidenceIndicator">
							<tr>
								<td class="tituloSeccion" width="3%">&#160;</td>
								<td class="tituloSeccion" width="97%">
									<xsl:value-of select="$lang.obligacionesTributarias.caracter"/>:
									<xsl:choose>
										<xsl:when test="./cbc:TaxEvidenceIndicator[text() = 'true']">
											<xsl:value-of select="$lang.obligacionesTributarias.positivo"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$lang.obligacionesTributarias.negativo"/>
										</xsl:otherwise>	
									</xsl:choose>
								</td>
							</tr>
						</xsl:if>
						<tr>
							<td class="tituloSeccion" width="3%">&#160;</td>
							<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.obligacionesTributarias.fechaExpedicion"/>:
								<xsl:value-of select="./cbc:IssueDate"/>
							</td>
						</tr>
						<tr>
							<td class="tituloSeccion" width="3%">&#160;</td>
							<td colspan="2" class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.obligacionesTributarias.fechaVencimiento"/>:
								<xsl:value-of select="./cbc:ExpirationDate"/>
							</td>
						</tr>
						<tr>
							<td class="tituloSeccion" width="3%">&#160;</td>
							<td class="tituloSeccion" width="97%">
								<xsl:value-of select="$lang.obligacionesTributarias.csv"/>:
								<xsl:value-of select="./cbc:CodeValue"/>
							</td>
						</tr>
					
					</xsl:for-each>
					<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			
			</table>
			</xsl:if>	
			
<!-- ********************************************************************************************** -->
<!-- OBLIGACIONES SEGURIDAD SOCIAL                                                                                -->
<!-- ********************************************************************************************** -->
			<xsl:if test="./cac:SocialSecurityObligations">
			<table>
				<tr>
					<td colspan="3" class="tituloBold">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.titulo"/>
					</td>
				</tr>
				<tr>
					<td class="tituloSeccion" width="3%">&#62;</td>
					<td class="tituloSeccion" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.numeroReferencia"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ReferenceID"/>
					</td>
				</tr>
				<!-- <tr>
					<td class="tituloSeccion" width="3%">&#160;</td>
					<td colspan="2" class="tituloSeccion" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.autoridad"/>:
						<xsl:value-of select="./cac:TaxAgencyObligations/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName"/>
					</td>
				</tr> -->
				<xsl:if test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator">
					<tr>
						<td class="tituloSeccion" width="3%">&#160;</td>
						<td class="tituloSeccion" width="97%">
							<xsl:value-of select="$lang.obligacionesSeguridadSocial.estadoCorriente"/>:
							<xsl:choose>
								<xsl:when test="./cac:SocialSecurityObligations/cbc:TaxEvidenceIndicator[text() = 'true']">
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.positivo"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$lang.obligacionesSeguridadSocial.negativo"/>
								</xsl:otherwise>	
							</xsl:choose>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td class="tituloSeccion" width="3%">&#160;</td>
					<td colspan="2" class="tituloSeccion" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaExpedicion"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:IssueDate"/>
					</td>
				</tr>
				<tr>
					<td class="tituloSeccion" width="3%">&#160;</td>
					<td colspan="2" class="tituloSeccion" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.fechaVencimiento"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:ExpirationDate"/>
					</td>
				</tr>
				<tr>
					<td class="tituloSeccion" width="3%">&#160;</td>
					<td class="tituloSeccion" width="97%">
						<xsl:value-of select="$lang.obligacionesSeguridadSocial.huella"/>:
						<xsl:value-of select="./cac:SocialSecurityObligations/cbc:CodeValue"/>
					</td>
				</tr>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			</xsl:if>		




<!-- ********************************************************************************************** -->
<!-- DOCUMENTOS ACREDITATIVOS                                                                       -->
<!-- ********************************************************************************************** -->				
			
			<xsl:if test="./cac:Evidence">

				<table>
					
					<tr>
						
						<td colspan="3" style="font:bold 11px Verdana; text-align:left; text-decoration:underline;">

							<xsl:value-of select="$lang.documentosacreditativos.titulo"/>
						</td>
					</tr>
						
			
					

					<xsl:for-each select="./cac:Evidence">

					<tr>
						
							<td class="datoSeccionIndent">
								
								> <xsl:value-of select="$lang.documentosacreditativos.nombredeldocumento"/>
								: <xsl:value-of select="./cbc:EvidenceName"/>

							</td>

					</tr>

					<tr>

							<td class="datoSeccionIndent">
								
								&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
								<xsl:value-of select="$lang.documentosacreditativos.emisor"/>
								: <xsl:value-of select="./cac:EvidenceIssuerParty/cac:PartyLegalEntity/cbc:RegistrationName"/>

							</td>

					</tr>

					<tr>

							<td class="datoSeccionIndent">
								
								&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
									<xsl:value-of select="$lang.documentosacreditativos.referencias"/>:&#160;
								
								<xsl:for-each select="./cac:EvidenceDocumentReference/cbc:XPath">

									<xsl:value-of select="."/><br/>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
										
								</xsl:for-each>

								<br/><br/>

							</td>

					</tr>

					</xsl:for-each>

					

				</table>

				<div class="hrNormal" ></div>

			</xsl:if>	

<!-- ********************************************************************************************** -->
<!-- FIRMA                                                                                          -->
<!-- ********************************************************************************************** -->
			<table>
				<tr>
					<td colspan="3" class="tituloBold">
						<xsl:value-of select="$lang.firma.titulo"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" class="tituloSeccion"><xsl:value-of select="$lang.firma.firmante"/>:</td>
					<td colspan="2" class="tituloSeccion">
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyLegalEntity/cbc:RegistrationName"/>
						<xsl:value-of select="./cac:Signature/cac:SignatoryParty/cac:PartyIdentification/cbc:ID"/>
					</td>
				</tr>
				<tr>
					<td colspan="1" class="tituloSeccion">&#160;</td>
					<td colspan="2" class="tituloSeccion">
						<xsl:value-of select="./cac:Signature/cbc:Note"/>
					</td>
				</tr>
				<!--
				<tr><td colspan="3" class="tituloSeccion">Clave Pblica:</td></tr>
				<tr>
					<td colspan="3"  class="datosFirma">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509Certificate"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				-->
				<tr><td colspan="3" class="tituloSeccion"><xsl:value-of select="$lang.firma.firma"/>:</td></tr>
				<tr>
					<td colspan="3" class="datosFirma">
						<xsl:call-template name="split">
							<xsl:with-param name="text" select="./ds:Signature/ds:SignatureValue"/>
							<xsl:with-param name="size" select="'72'"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr><td colspan="3"><div class="hrNormal" ></div></td></tr>
			</table>
			
			<table>
				<tr>
					<td align="center">
					</td>
					<td width ="75%"  align="right" valign="center" class="piePagina">
					<xsl:value-of select="$lang.firma.certificado"/> <xsl:value-of select="$versionHojaTransformacion" />
					</td>
				</tr>			
			</table>
			
		</div>
			
		</body>
			
		</html>
	</xsl:template>

	<xsl:template name="split">
		<xsl:param name="text"/>
		<xsl:param name="size"/>
		<xsl:if test="string-length($text) > number($size)">
			<xsl:value-of select="substring($text, 1, number($size))"/><br/>
			<xsl:call-template name="split">
				<xsl:with-param name="text" select="substring($text, number($size) + 1)"/>
				<xsl:with-param name="size"  select="$size"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="number($size) > string-length($text)">
			<xsl:value-of select="$text"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')" />
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text"
						select="substring-after($text,'&#xa;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="addDuration">
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>

		<xsl:variable name="daysOfPresentMonth">
			<xsl:call-template name="daysOfMonth">
				<xsl:with-param name="month" select="$month"/>
				<xsl:with-param name="year"  select="$year"/>
			</xsl:call-template>
		</xsl:variable>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="nextYear" select="number($year) + 1" />
		<xsl:variable name="leap0" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />
		<xsl:variable name="leap1" select="(not($nextYear mod 4) and $nextYear mod 100) or not($nextYear mod 400)" />
		<xsl:variable name="dumpDay" select="(number($month) = number(2)) and (number($day) = number(29))" />

		<xsl:if test="number($duration) >= number(365) and not($dumpDay)">
			<xsl:if test="not($leap0) and not($leap1)">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="not($leap0) and ($leap1) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) and (number(365) = number($duration))">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="0"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number(2) >= number($month)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 366"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="($leap0) and (number($month) > number(2)) ">
				<xsl:call-template name="addDuration">
					<xsl:with-param name="year" select="$year + 1"/>
					<xsl:with-param name="month"  select="$month"/>
					<xsl:with-param name="day"  select="$day"/>
					<xsl:with-param name="duration"  select="$duration - 365"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>

		<xsl:if test="not(number($duration) >= number(365) and not($dumpDay))">
			<xsl:if test="number($duration) > 0">
				<xsl:if test="number($daysOfPresentMonth) > number($day)">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month"/>
						<xsl:with-param name="day"  select="$day + 1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) != number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year"/>
						<xsl:with-param name="month"  select="$month + 1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="(number($daysOfPresentMonth) = number($day)) and (number($month) = number(12))">
					<xsl:call-template name="addDuration">
						<xsl:with-param name="year" select="$year + 1"/>
						<xsl:with-param name="month"  select="1"/>
						<xsl:with-param name="day"  select="1"/>
						<xsl:with-param name="duration"  select="$duration - 1"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="number($duration) = 0">
			<xsl:variable name="zeroDay">
				<xsl:choose>
					<xsl:when test="number($day) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="zeroMonth">
				<xsl:choose>
					<xsl:when test="number($month) > 9"><xsl:value-of select="''"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="'0'"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:value-of select="concat($year, '-', $zeroMonth, number($month), '-', $zeroDay, number($day))"/>
		</xsl:if>
	</xsl:template>

	<xsl:template name="daysOfMonth">
		<xsl:param name="month"/>
		<xsl:param name="year"/>

		<!-- Se mira si el ao es bisiesto -->
		<xsl:variable name="leap" select="(not($year mod 4) and $year mod 100) or not($year mod 400)" />

		<!-- Se retorna el numero de dias del mes -->
		<xsl:if test="number($month)=1"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="(number($month)=2) and not($leap)"><xsl:value-of select="28" /></xsl:if>
		<xsl:if test="(number($month)=2) and ($leap)"><xsl:value-of select="29" /></xsl:if>
		<xsl:if test="number($month)=3"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=4"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=5"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=6"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=7"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=8"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=9"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=10"><xsl:value-of select="31" /></xsl:if>
		<xsl:if test="number($month)=11"><xsl:value-of select="30" /></xsl:if>
		<xsl:if test="number($month)=12"><xsl:value-of select="31" /></xsl:if>
	</xsl:template>

	<xsl:template name="calculaFechaFinProhibicion">
		<xsl:param name="endDate"/>
		<xsl:param name="year"/>
		<xsl:param name="month"/>
		<xsl:param name="day"/>
		<xsl:param name="duration"/>
		<xsl:if test="$endDate"><xsl:value-of select="$endDate" /></xsl:if>
		<xsl:variable name="resultado">
			<xsl:call-template name="addDuration">
				<xsl:with-param name="year">
					<xsl:value-of select="$year"/>
				</xsl:with-param>
				<xsl:with-param name="month">
					<xsl:value-of select="$month"/>
				</xsl:with-param>
				<xsl:with-param name="day">
					<xsl:value-of select="$day"/>
				</xsl:with-param>
				<xsl:with-param name="duration">
					<xsl:value-of select="$duration"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:value-of select="$resultado" />
	</xsl:template>
	
</xsl:stylesheet>
